using System.Diagnostics;
using AUTS_Server.Models;
using Microsoft.AspNetCore.Mvc;
using SqlSugar;

namespace AUTS_Server.Controllers
{
    public class HomeController : Controller
    {
        private readonly ILogger<HomeController> _logger;
        private readonly ISqlSugarClient db;
        public HomeController(ILogger<HomeController> logger, ISqlSugarClient db)
        {
            _logger = logger;
            this.db = db;
        }

        public IActionResult Index()
        {
           
            return View();
        }

        public IActionResult Privacy()
        {
            return View();
        }

        [ResponseCache(Duration = 0, Location = ResponseCacheLocation.None, NoStore = true)]
        public IActionResult Error()
        {
            return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
        }
    }
}
